package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjSggyZjyFdxnb;

/**
 * 设计信息-施工概要-分段钻井液性能设计Mapper接口
 * 
 * @author
 * @date 2025-08-20
 */
public interface SjSggyZjyFdxnbMapper 
{
    /**
     * 查询设计信息-施工概要-分段钻井液性能设计
     * 
     * @param id 设计信息-施工概要-分段钻井液性能设计主键
     * @return 设计信息-施工概要-分段钻井液性能设计
     */
    public SjSggyZjyFdxnb selectSjSggyZjyFdxnbById(Long id);

    /**
     * 查询设计信息-施工概要-分段钻井液性能设计列表
     * 
     * @param sjSggyZjyFdxnb 设计信息-施工概要-分段钻井液性能设计
     * @return 设计信息-施工概要-分段钻井液性能设计集合
     */
    public List<SjSggyZjyFdxnb> selectSjSggyZjyFdxnbList(SjSggyZjyFdxnb sjSggyZjyFdxnb);

    /**
     * 新增设计信息-施工概要-分段钻井液性能设计
     * 
     * @param sjSggyZjyFdxnb 设计信息-施工概要-分段钻井液性能设计
     * @return 结果
     */
    public int insertSjSggyZjyFdxnb(SjSggyZjyFdxnb sjSggyZjyFdxnb);

    /**
     * 修改设计信息-施工概要-分段钻井液性能设计
     * 
     * @param sjSggyZjyFdxnb 设计信息-施工概要-分段钻井液性能设计
     * @return 结果
     */
    public int updateSjSggyZjyFdxnb(SjSggyZjyFdxnb sjSggyZjyFdxnb);

    /**
     * 删除设计信息-施工概要-分段钻井液性能设计
     * 
     * @param id 设计信息-施工概要-分段钻井液性能设计主键
     * @return 结果
     */
    public int deleteSjSggyZjyFdxnbById(Long id);

    /**
     * 批量删除设计信息-施工概要-分段钻井液性能设计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjSggyZjyFdxnbByIds(Long[] ids);

    int deleteSjSggyZjyFdxnbByJh(String jh);

    int insertSjSggyZjyFdxnbBatch(List<SjSggyZjyFdxnb> sjSggyZjyFdxnbList);

    int deleteSjSggyZjyFdxnb(SjSggyZjyFdxnb sjSggyZjyFdxnb);

    int updateSjSggyZjyFdxnbBY(SjSggyZjyFdxnb sjSggyZjyFdxnb);

}
